<!-- Autor: Daniel Benjamin Perez Morales -->
<!-- GitHub: https://github.com/D4nitrix13 -->
<!-- Gitlab: https://gitlab.com/D4nitrix13 -->
<!-- Correo electrónico: danielperezdev@proton.me -->
# **Security Policy**

## **Vulnerability Reporting**

*At [pycrypy], we take the security of our code and our users very seriously. If you discover a vulnerability that could compromise the security of the project, we encourage you to let us know immediately. We appreciate and reward the efforts of those who help us improve the security of our software.*

**Please follow these guidelines when reporting a vulnerability:**

- *Send an email to [danielperezdev@proton.me] with the subject "Vulnerability Report".*

- *Provide a detailed description of the vulnerability, including steps to reproduce it if possible.*

- *Provide information about the affected software version, if relevant.*

- *If you have found a vulnerability in an open-source library that we are using, please follow the responsible disclosure procedures of that library.*

*Once we receive your report, we commit to:*

- *Confirm receipt of the report within [7] business days.*

- *Evaluate the vulnerability and determine its impact on the project's security.*

- *Work on a solution and provide an update on the progress within a reasonable timeframe.*

- *Publicly attribute the discovery of the vulnerability unless you wish to remain anonymous.*

## **Code Security**

*Our team strives to maintain high standards of security in our code. We use best practices in secure development and conduct regular code reviews to identify and address potential security issues. If you find any security issues in our code, please do not hesitate to inform us following the aforementioned guidelines.*
