# Author: Daniel Benjamin Perez Morales
# GitHub: https://github.com/D4nitrix13
# Gitlab: https://gitlab.com/D4nitrix13
# Email: danielperezdev@proton.me

from typing import Dict, Any
from toml import loads

catppuccin_frappe: Dict[str, Any] = loads(s = """\
    # Default colors
    [colors.primary]
    background = '#303446' # base
    foreground = '#C6D0F5' # text
    # Bright and dim foreground colors
    dim_foreground = '#C6D0F5' # text
    bright_foreground = '#C6D0F5' # text

    # Cursor colors
    [colors.cursor]
    text = '#303446' # base
    cursor = '#F2D5CF' # rosewater

    [colors.vi_mode_cursor]
    text = '#303446' # base
    cursor = '#BABBF1' # lavender

    # Search colors
    [colors.search.matches]
    foreground = '#303446' # base
    background = '#A5ADCE' # subtext0
    [colors.search.focused_match]
    foreground = '#303446' # base
    background = '#A6D189' # green
    [colors.footer_bar]
    foreground = '#303446' # base
    background = '#A5ADCE' # subtext0

    # Keyboard regex hints
    [colors.hints.start]
    foreground = '#303446' # base
    background = '#E5C890' # yellow
    [colors.hints.end]
    foreground = '#303446' # base
    background = '#A5ADCE' # subtext0

    # Selection colors
    [colors.selection]
    text = '#303446' # base
    background = '#F2D5CF' # rosewater

    # Normal colors
    [colors.normal]
    black = '#51576D' # surface1
    red = '#E78284' # red
    green = '#A6D189' # green
    yellow = '#E5C890' # yellow
    blue = '#8CAAEE' # blue
    magenta = '#F4B8E4' # pink
    cyan = '#81C8BE' # teal
    white = '#B5BFE2' # subtext1

    # Bright colors
    [colors.bright]
    black = '#626880' # surface2
    red = '#E78284' # red
    green = '#A6D189' # green
    yellow = '#E5C890' # yellow
    blue = '#8CAAEE' # blue
    magenta = '#F4B8E4' # pink
    cyan = '#81C8BE' # teal
    white = '#A5ADCE' # subtext0

    # Dim colors
    [colors.dim]
    black = '#51576D' # surface1
    red = '#E78284' # red
    green = '#A6D189' # green
    yellow = '#E5C890' # yellow
    blue = '#8CAAEE' # blue
    magenta = '#F4B8E4' # pink
    cyan = '#81C8BE' # teal
    white = '#B5BFE2' # subtext1
    """
)