# Author: Daniel Benjamin Perez Morales
# GitHub: https://github.com/D4nitrix13
# Gitlab: https://gitlab.com/D4nitrix13
# Email: danielperezdev@proton.me

from typing import Dict, Any
from toml import loads

catppuccin_latte: Dict[str, Any] = loads(s = """\
    # Default colors
    [colors.primary]
    background = '#EFF1F5' # base
    foreground = '#4C4F69' # text
    # Bright and dim foreground colors
    dim_foreground = '#4C4F69' # text
    bright_foreground = '#4C4F69' # text

    # Cursor colors
    [colors.cursor]
    text = '#EFF1F5' # base
    cursor = '#DC8A78' # rosewater

    [colors.vi_mode_cursor]
    text = '#EFF1F5' # base
    cursor = '#7287FD' # lavender

    # Search colors
    [colors.search.matches]
    foreground = '#EFF1F5' # base
    background = '#6C6F85' # subtext0

    [colors.search.focused_match]
    foreground = '#EFF1F5' # base
    background = '#40A02B' # green

    [colors.footer_bar]
    foreground = '#EFF1F5' # base
    background = '#6C6F85' # subtext0

    # Keyboard regex hints
    [colors.hints.start]
    foreground = '#EFF1F5' # base
    background = '#DF8E1D' # yellow

    [colors.hints.end]
    foreground = '#EFF1F5' # base
    background = '#6C6F85' # subtext0

    # Selection colors
    [colors.selection]
    text = '#EFF1F5' # base
    background = '#DC8A78' # rosewater

    # Normal colors
    [colors.normal]
    black = '#5C5F77' # subtext1
    red = '#D20F39' # red
    green = '#40A02B' # green
    yellow = '#DF8E1D' # yellow
    blue = '#1E66F5' # blue
    magenta = '#EA76CB' # pink
    cyan = '#179299' # teal
    white = '#ACB0BE' # surface2

    # Bright colors
    [colors.bright]
    black = '#6C6F85' # subtext0
    red = '#D20F39' # red
    green = '#40A02B' # green
    yellow = '#DF8E1D' # yellow
    blue = '#1E66F5' # blue
    magenta = '#EA76CB' # pink
    cyan = '#179299' # teal
    white = '#BCC0CC' # surface1

    # Dim colors
    [colors.dim]
    black = '#5C5F77' # subtext1
    red = '#D20F39' # red
    green = '#40A02B' # green
    yellow = '#DF8E1D' # yellow
    blue = '#1E66F5' # blue
    magenta = '#EA76CB' # pink
    cyan = '#179299' # teal
    white = '#ACB0BE' # surface2
    """
)